application:setBackgroundColor(0); application:setKeepAwake(true)

maxIterations@1000000
local randomSeed,random=Core.randomSeed,Core.random
randomSeed(1,1)

local texturesArr={
	Texture.new("1.jpg",true),
	Texture.new("2.jpg",true),
	Texture.new("3.jpg",true)
}

local sprite1 = Bitmap.new(texturesArr[1])
local pix1=Pixel.new(0xffffff,1,280,280)

function testTexturing1()
	stage:addChild(sprite1)
	randomSeed(1,1)
	for i=1,maxIterations do
		sprite1:setTexture(texturesArr[random(1,3)])
	end
	stage:removeChild(sprite1)
end

function testTexturing2()
	stage:addChild(pix1)
	randomSeed(1,1)
	for i=1,maxIterations do
		pix1:setTexture(texturesArr[random(1,3)])
	end
	stage:removeChild(pix1)
end

--Start testing:
Core.profilerReset()
Core.profilerStart()
for loop=1,10 do
	testTexturing1()
	testTexturing2()
end
Core.profilerStop()

--Print results:
result=Core.profilerReport()
print("Number of tests:",maxIterations*10)

for k,v in pairs(result) do
	local found=false
	
	for k2,v2 in pairs(v) do
		if found and k2=="time" then print(v1,v2) end
		if k2=="name" and string.sub(v2,1,4)=="test" then v1=v2 found=true end
	end
end